Subject: [ippm] New IPPM charter suggestion

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Tue, 25 Jul 2017 16:47:03 +0200

Greetings, all,

Following our meeting in Prague (minutes forthcoming), here's where I think we are with the suggested new charter. Track changes view in Google Docs at: https://docs.google.com/document/d/15Q5tIcv2b6oQ9tL_dS90N_ApREZZpSJJxmk-Jnwx3z8/edit?usp=sharing

The new charter text, in full, appears below.

Comments?

Thanks, cheers,

Brian (as chair)

The IP Performance Measurement (IPPM) Working Group develops and maintains standard metrics that can be applied to the quality, performance, and reliability of Internet data delivery services and applications running over transport layer protocols (e.g. TCP, UDP) over IP. It also develops and maintains methodologies and protocols for the measurement of these metrics. These metrics, protocols, and methodologies are designed such that they can be used by network operators, end users, or independent testing groups. Metrics developed by the IPPM WG are intended to provide unbiased quantitative performance measurements.

The IPPM WG works to foster commonality and comparability of metrics and measurements across IETF protocols at different layers. Its work is limited to metrics and methodologies which are applicable over transport-layer protocols over IP, and does not specify encapsulations required for measurements over non-IP layers.

The IPPM WG has produced documents that define specific metrics and procedures for accurately measuring and documenting these metrics. The working group will continue advancing the most useful of these metrics along the standards track, using the guidelines stated in RFC 6576. To the extent possible, these metrics will be used as the basis for future work on metrics in the WG.

The WG will seek to develop new metrics and models to more accurately characterize the network paths under test and/or the performance of transport and application layer protocols on these paths. The WG will balance the need for new metrics with the desire to minimize the introduction of new metrics, and will require that new metric definitions state how the definition improves on an existing metric definition, or assesses a property of network performance not previously covered by a defined metric. Metric definitions will follow the template given in RFC 6390.

Additional methods will be defined for the composition and calibration of IPPM-defined metrics, as well as active, passive and hybrid measurement methods for these metrics. In addition, the WG encourages work which describes the applicability of metrics and measurement methods, especially to improve understanding of the tradeoffs involved among active, passive, and hybrid methods.

The WG may update its core framework RFC 2330 as necessary to accommodate these activities.

The WG has produced protocols for communication among test equipment to enable the measurement of the one- and two-way metrics (OWAMP and TWAMP respectively). These protocols will be advanced along the standards track. The work of the WG will take into account the suitability of measurements for automation, in order to support large-scale measurement efforts. This may result in further developments in protocols such as OWAMP and TWAMP.

Agreement about the definitions of metrics and methods of measurement enables accurate, reproducible, and equivalent results across different implementations. To this end, the WG defines and maintains a registry of metric definitions.

The WG encourages work which assesses the comparability of measurements of IPPM metrics with metrics developed elsewhere. The WG also encourages work which improves the availability of information about the context in which measurements were taken, for example (but not limited to) measurement implementation information, estimates of confidence in these measurements, conditions on the network(s) on which measurements are taken, and/or information about the data-plane topology of these network(s).

In the interest of measurement comparability, the WG may define data formats and information models for the storage and exchange of the results of measurements defined within IPPM.

The IPPM WG seeks cooperation with other appropriate standards bodies and forums to promote consistent approaches and metrics. Within the IETF process, IPPM metric definitions and measurement protocols will be subject to as rigorous a scrutiny for usefulness, clarity, and accuracy as other protocol standards. The IPPM WG will interact with other areas of IETF activity whose scope intersects with the requirement of these specific metrics. The WG will, on request, provide input to other IETF working groups on the use and implementation of these metrics.

---

From: "Brian Trammell (IETF)" <[email-masked]>
Date: Thu, 27 Jul 2017 11:15:55 -0400

Several people have noted that viewers of the Google Doc can't see the diffs. Here's a diff -U 3 of the two charters:

--- charter-05.txt	2017-07-27 11:12:52.000000000 -0400
+++ charter-06-00.txt	2017-07-27 11:13:07.000000000 -0400
@@ -1,12 +1,19 @@
-The IP Performance Metrics (IPPM) Working Group develops and maintains standard
-metrics that can be applied to the quality, performance, and reliability of
-Internet data delivery services and applications running over transport layer
-protocols (e.g. TCP, UDP) over IP.  Specifying network or lower layer OAM
-mechanisms is out of scope of the IPPM charter.  It also develops and maintains
-protocols for the measurement of these metrics. These metrics are designed such
-that they can be used by network operators, end users, or independent testing
-groups. Metrics developed by the IPPM WG are intended to provide unbiased
-quantitative performance measurements and not a value judgement.
+
+The IP Performance Measurement (IPPM) Working Group develops and maintains
+standard metrics that can be applied to the quality, performance, and
+reliability of Internet data delivery services and applications running over
+transport layer protocols (e.g. TCP, UDP) over IP. It also develops and
+maintains methodologies and protocols for the measurement of these metrics.
+These metrics, protocols, and methodologies are designed such that they can be
+used by network operators, end users, or independent testing groups. Metrics
+developed by the IPPM WG are intended to provide unbiased quantitative
+performance measurements.
+
+The IPPM WG works to foster commonality and comparability of metrics and
+measurements across IETF protocols at different layers. Its work is limited to
+metrics and methodologies which are applicable over transport-layer protocols
+over IP, and does not specify encapsulations required for measurements over
+non-IP layers.

 The IPPM WG has produced documents that define specific metrics and procedures
 for accurately measuring and documenting these metrics. The working group will
@@ -21,9 +28,7 @@
 will require that new metric definitions state how the definition improves on an
 existing metric definition, or assesses a property of network performance not
 previously covered by a defined metric. Metric definitions will follow the
-template given in RFC 6390. It is possible that new measurement protocols will
-be needed to support new metrics; if this is the case, the working group will be
-rechartered to develop these protocols.
+template given in RFC 6390.

 Additional methods will be defined for the composition and calibration of
 IPPM-defined metrics, as well as active, passive and hybrid measurement methods
@@ -44,11 +48,19 @@

 Agreement about the definitions of metrics and methods of measurement enables
 accurate, reproducible, and equivalent results across different implementations.
-To this end, the WG will define and maintain a registry of metric definitions.
+To this end, the WG defines and maintains a registry of metric definitions.
+
 The WG encourages work which assesses the comparability of measurements of IPPM
 metrics with metrics developed elsewhere. The WG also encourages work which
 improves the availability of information about the context in which measurements
-were taken.
+were taken, for example (but not limited to) measurement implementation
+information, estimates of confidence in these measurements, conditions on the
+network(s) on which measurements are taken, and/or information about the
+data-plane topology of these network(s).
+
+In the interest of measurement comparability, the WG may define data formats and
+information models for the storage and exchange of the results of measurements
+defined within IPPM.

 The IPPM WG seeks cooperation with other appropriate standards bodies and forums
 to promote consistent approaches and metrics. Within the IETF process, IPPM
@@ -58,22 +70,3 @@
 with the requirement of these specific metrics. The WG will, on request, provide
 input to other IETF working groups on the use and implementation of these
 metrics.
-
-Specific near-term milestones include:
-
-1. Advancement of protocols for one- and two-way metrics (OWAMP and TWAMP
-respectively) along the standards track.
-
-2. Update of the IPPM framework document (RFC 2330) to reflect experience with
-the framework, and to cover planned future metric development.
-
-3. Definition of a registry of metric definitions to improve the equivalency of
-metric results across multiple implementations.
-
-4. Publication of a rate measurement problem statement.
-
-5. Publication of documents supporting the use of IPSec to protect OWAMP /
-TWAMP.
-
-6. Publication of documents related to model-based TCP bulk transfer capacity

Cheers,

Brian

> On 25 Jul 2017, at 10:47, Brian Trammell (IETF) <[email-masked]> wrote:
> 
> Greetings, all,
>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thu, 27 Jul 2017 16:25:21 +0000

If it helps, HTML side-by-side diffs and wdiffs attached.